import { DatabaseEngine } from "../database-engine";
import * as mysql from "mysql2/promise";
import { DatabaseType, KeyedDatabaseResult } from "../base-model";
import SQLGrammarCompiler from "../query/compiler";
export default class MySQLEngine implements DatabaseEngine {
    private connection;
    constructor(connection: mysql.Connection);
    query(sql: string, params: DatabaseType[]): Promise<void>;
    get(sql: string, params: DatabaseType[]): Promise<KeyedDatabaseResult[]>;
    insertAndGetId(table: string, sql: string, params: DatabaseType[]): Promise<number>;
    getGrammarCompiler(): SQLGrammarCompiler;
}
