"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const compiler_1 = require("../query/compiler");
class MySQLEngine {
    constructor(connection) {
        this.connection = connection;
    }
    query(sql, params) {
        return this.connection.execute(sql, params).then(x => { });
    }
    get(sql, params) {
        return this.connection.execute(sql, params).then(x => x[0]);
    }
    insertAndGetId(table, sql, params) {
        return this.connection.query(sql, params).then(results => {
            return results[0].insertId;
        });
    }
    getGrammarCompiler() {
        return new compiler_1.default();
    }
}
exports.default = MySQLEngine;
