import { DatabaseEngine } from "../database-engine";
import { Database } from "sqlite3";
import { DatabaseType, KeyedDatabaseResult } from "../base-model";
import SQLGrammarCompiler from "../query/compiler";
export default class Sqlite3Engine implements DatabaseEngine {
    private connection;
    constructor(connection: Database);
    query(sql: string, params: DatabaseType[]): Promise<void>;
    get(sql: string, params: DatabaseType[]): Promise<KeyedDatabaseResult[]>;
    insertAndGetId(table: string, sql: string, params: DatabaseType[]): Promise<number>;
    getGrammarCompiler(): SQLGrammarCompiler;
}
